{%- assign current_book = include.current_book -%}
{%- assign link_class = 'd-block white text-decoration-none mb-3' -%}
{%- assign main_link_class = link_class | append: ' h6 font-weight-bold text-uppercase' -%}

<div>
{% include toggler.html id='rightbar' %}
<aside class="toggled position-fixed top-secondary-navbar-sm top-md-0 right-0 d-flex flex-row w-100" style="z-index:2000;">
  {%- capture rightbar_content -%}
    <span class="sr-only sr-only-focusable">{{ t.rightbar.close }}</span>
  {%- endcapture -%}
  {%- include toggler_related.html id='rightbar' class='d-block flex-grow-1 background-white-t2' content=rightbar_content -%}

  <nav class="grow-horizontally transition background-{{ current_book.slug }} h-100vh overflow-y-scroll scrollbar-white w-100 w-md-sidebar py-5 px-4">
    <ul class="list-unstyled">
      {% if current_book.courses and current_book.courses != empty %}
        {%- include_cached essays_list.html essays=current_book.courses group=include.t.rightbar.courses link_class=link_class main_link_class=main_link_class t=include.t -%}
      {% endif %}

      {% if current_book.contact %}
        <li class=""><a class="{{ main_link_class }}" href="mailto:{{ current_book.contact }}">{{ include.t.rightbar.contact }}</a></li>
      {% endif %}
    </ul>
  </nav>
</aside>
</div>
